%define major		6
%define libname		%mklibname xtrap %{major}
%define develname	%mklibname xtrap -d

Name:		libxtrap
Summary:	X Trap Library
Version:	1.0.1
Release:	%mkrel 9
Group:		Development/X11
License:	MIT
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXTrap-%{version}.tar.bz2

BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	pkgconfig(xext) >= 1.0.0
BuildRequires:	pkgconfig(xt) >= 1.0.0
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1

%description
X Trap Library.

#-----------------------------------------------------------

%package -n %{libname}
Summary:  X Trap Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libname}
X Trap Library

%files -n %{libname}
%{_libdir}/libXTrap.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}xtrap-static-devel < 1.0.1-3

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%{_libdir}/libXTrap.so
%{_libdir}/pkgconfig/xtrap.pc

#-----------------------------------------------------------

%prep
%setup -q -n libXTrap-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.0.1-9.mga8
+ Revision: 1514676
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-8.mga7
+ Revision: 1299274
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.0.1-7.mga6
+ Revision: 937863
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-6.mga5
+ Revision: 747703
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 681902
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-4.mga4
+ Revision: 532799
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.0.1-3.mga4
+ Revision: 469619
- drop unneeded requires
- drop old Mdv era conflicts/obsoletes
- drop static devel pkg

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 358645
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 tv <tv> 1.0.1-1.mga3
+ Revision: 338945
- new release

* Sun Nov 20 2011 dmorgan <dmorgan> 1.0.0-12.mga2
+ Revision: 170038
- Remove .la files

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.0-11.mga1
+ Revision: 6013
- imported package libxtrap


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-11mdv2011.0
+ Revision: 602624
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-10mdv2010.1
+ Revision: 520973
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.0-9mdv2010.0
+ Revision: 425937
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-8mdv2009.0
+ Revision: 223087
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.0-7mdv2008.1
+ Revision: 153304
- Update BuildRequires and rebuild

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-6mdv2008.1
+ Revision: 150875
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 30 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.0-5mdv2008.0
+ Revision: 75080
- obsolete old -static-devel package

* Fri Aug 17 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.0-4mdv2008.0
+ Revision: 64689
- rebuild for 2008
- new devel policy
- spec clean


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

